Search Intemediaries

The Search Intermediaries API can be used to search for an existing intermediary.

This API uses query parameters (no JSON body). Below please find descriptions of the parameters.

Caution

The Search API provides guarantees of eventual consistency and under normal operating conditions, data propagation takes seconds. For read-after-write workflows requiring strict consistency, use the "List Intermediaries" method instead.

Query Params
number
1 to 100
Defaults to 20

Number of entities to return. Used for pagination implementation. If no value is provided used default 20. Max 100.

number
≥ 0

Number entities to skip. Useful for pagination implementation. Only works if count param is passed

string
enum

Field to sort by

string
enum

Direction of sort results. asc or desc

Allowed:
string

Search query to perform

searchBy
array of strings

Borrower variables to perform search upon. Can be passed as a single string (searchBy=borrower_custom_field) or an array of strings (searchBy=borrower_custom_field&searchBy=borrower_another_custom_field). For table variable use: searchBy=borrower_assets.0.asset_type.Note that searching works only for String variable data types

searchBy
string

Intermediary email address to filter by. Filter working by variable intermediary_email

string

Created before date in ISO 8601 (YYYY-MM-DDTHH:mm:ss.SSSZ) format

string

Created from date in ISO 8601 (YYYY-MM-DDTHH:mm:ss.SSSZ) format.

string

Update before date in ISO 8601 (YYYY-MM-DDTHH:mm:ss.SSSZ) format

string

Updated from date in ISO 8601 (YYYY-MM-DDTHH:mm:ss.SSSZ) format

teamMemberIds
array of strings

Array of team member IDs to filter by

teamMemberIds
filterByVariables
object

Lets filter results by intermediary variables. Use filterByVariables[intermediary_name]=james to find by exact value, or filterByVariables[intermediary_name]=james&filterByVariables[intermediary_name]=john to filter using list of options(james or john). In case of find in range use: filterByVariables[loan_amount][from]=15000&filterByVariables[loan_amount][to]=20000. For address variable use: filterByVariables[borrower_address.city]=New York. For table variable use: filterByVariables[assets_table.0.asset_type]=House`.

intermediaryTypes
array of strings

Types of items to filter by. Use intermediaryTypes=type1 to find by exact value, or intermediaryTypes=type1&intermediaryTypes=type2 to filter using list of options(type1 or type2)

intermediaryTypes
Headers
string
enum
Defaults to 2024-02-26
Allowed:
Responses

Language
Credentials
Header
URL
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json